LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-10-2019, 08:22 PM   #1726
Xsane
Member
 
Registered: Jan 2014
Posts: 150

Rep: Reputation: 112Reputation: 112
Update tesseract to v4.0.0


I have not read the thread nor contacted the Sbo tesseract
maintainer; so if this is the wrong place to submit a patch set I'll
apologize in advance.

Find attached a patch set to update the tesseract SlackBuild to
v4.0.0 on current.
Attached Files
File Type: txt tesseract-Sbo.tgz.txt (4.5 KB, 11 views)

Last edited by Xsane; 03-10-2019 at 08:24 PM. Reason: typo
 
Old 03-11-2019, 05:31 AM   #1727
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Xsane View Post
I have not read the thread nor contacted the Sbo tesseract
maintainer; so if this is the wrong place to submit a patch set I'll
apologize in advance.

Find attached a patch set to update the tesseract SlackBuild to
v4.0.0 on current.
Hi Xsane,

thanks for the nice work!
but, as major differences seems to be with the updated script and the older one, I think an appropriate course of action should be to get in touch with the tesseract maintainer and propose to him the update: just let me know if he thinks it's ok, I have absolutely no problem pushing it!
 
Old 03-17-2019, 01:45 AM   #1728
mralk3
Senior Member
 
Registered: May 2015
Location: Utah, USA
Distribution: Slackware 14.2 || Slackware-current && CentOS
Posts: 1,371

Rep: Reputation: 734Reputation: 734Reputation: 734Reputation: 734Reputation: 734Reputation: 734Reputation: 734
I cannot get perl-glib 1.329 to build with the test suite enabled. I am running the latest -current, except I am still using the 4.19.28 kernel, which shouldn't matter. If I comment out "make test", the library builds. It was installed as a dependency for clamtk. Here are the failing tests:

Code:
Generating POD...
Loaded 8 extra types from doctypes
Creating POD index...
Manifying 37 pod documents
Manifying 3 pod documents
"/usr/bin/perl5.28.1" -MExtUtils::Command::MM -e 'cp_nonempty' -- Glib.bs blib/arch/auto/Glib/Glib.bs 644
PERL_DL_NONLAZY=1 "/usr/bin/perl5.28.1" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/1.t ...................... ok
t/2.t ...................... ok
t/3.t ...................... ok
t/4.t ...................... ok
t/5.t ...................... ok
t/6.t ...................... ok
t/64bit.t .................. ok
t/7.t ...................... ok
t/8.t ...................... ok
t/9.t ...................... ok
t/a.t ...................... ok
t/b.t ...................... ok
t/boxed_errors.t ........... ok
t/bytes.t .................. ok
t/c.t ...................... ok
t/constants.t .............. ok
t/d.t ...................... ok
t/e.t ...................... ok
t/f.t ...................... ok
t/filename.t ............... ok

#   Failed test at t/g.t line 87.
#          got: 'some string'
#     expected: 'some string
# '

#   Failed test at t/g.t line 97.
#          got: 'comment'
#     expected: 'comment
# '

#   Failed test at t/g.t line 101.
#          got: 'one comment more'
#     expected: 'one comment more
# '
# Looks like you failed 3 tests of 33.
t/g.t ...................... 
Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/33 subtests 
t/h.t ...................... ok
t/lazy_loader.t ............ ok
t/make_helper.t ............ ok
t/module_versions.t ........ skipped: Test::ConsistentVersion required for checking module versions
t/options.t ................ ok
t/signal_emission_hooks.t .. ok
t/signal_marshal.t ......... ok
t/signal_query.t ........... ok
t/tied_definedness.t ....... ok
t/tied_flags.t ............. ok
t/tied_set_property.t ...... ok
t/variant.t ................ ok

Test Summary Report
-------------------
t/g.t                    (Wstat: 768 Tests: 33 Failed: 3)
  Failed tests:  18, 22, 24
  Non-zero exit status: 3
Files=33, Tests=1189,  4 wallclock secs ( 0.11 usr  0.02 sys +  1.43 cusr  0.16 csys =  1.72 CPU)
Result: FAIL
Failed 1/33 test programs. 3/1189 subtests failed.
make: *** [Makefile:1382: test_dynamic] Error 255

perl-glib:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
 
Old 03-17-2019, 02:13 AM   #1729
Skaendo
Member
 
Registered: Dec 2014
Location: West Texas, USA
Distribution: Slackware64-14.2
Posts: 846

Rep: Reputation: Disabled
Quote:
Originally Posted by mralk3 View Post
I cannot get perl-glib 1.329 to build with the test suite enabled. I am running the latest -current, except I am still using the 4.19.28 kernel, which shouldn't matter. If I comment out "make test", the library builds. It was installed as a dependency for clamtk.
Without me doing any testing, it looks like you are missing a perl module.

https://metacpan.org/release/Test-ConsistentVersion

And possibly more.




Edit:

Actually, looking at this:
Code:
#   Failed test at t/g.t line 87.
#          got: 'some string'
#     expected: 'some string
# '

#   Failed test at t/g.t line 97.
#          got: 'comment'
#     expected: 'comment
# '

#   Failed test at t/g.t line 101.
#          got: 'one comment more'
#     expected: 'one comment more
# '
# Looks like you failed 3 tests of 33.
It looks like something is not honoring line breaks.

Last edited by Skaendo; 03-17-2019 at 02:24 AM.
 
Old 03-17-2019, 02:26 AM   #1730
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by mralk3 View Post
I cannot get perl-glib 1.329 to build with the test suite enabled. I am running the latest -current, except I am still using the 4.19.28 kernel, which shouldn't matter. If I comment out "make test", the library builds. It was installed as a dependency for clamtk. Here are the failing tests:

Code:
Generating POD...
Loaded 8 extra types from doctypes
Creating POD index...
Manifying 37 pod documents
Manifying 3 pod documents
"/usr/bin/perl5.28.1" -MExtUtils::Command::MM -e 'cp_nonempty' -- Glib.bs blib/arch/auto/Glib/Glib.bs 644
PERL_DL_NONLAZY=1 "/usr/bin/perl5.28.1" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/1.t ...................... ok
t/2.t ...................... ok
t/3.t ...................... ok
t/4.t ...................... ok
t/5.t ...................... ok
t/6.t ...................... ok
t/64bit.t .................. ok
t/7.t ...................... ok
t/8.t ...................... ok
t/9.t ...................... ok
t/a.t ...................... ok
t/b.t ...................... ok
t/boxed_errors.t ........... ok
t/bytes.t .................. ok
t/c.t ...................... ok
t/constants.t .............. ok
t/d.t ...................... ok
t/e.t ...................... ok
t/f.t ...................... ok
t/filename.t ............... ok

#   Failed test at t/g.t line 87.
#          got: 'some string'
#     expected: 'some string
# '

#   Failed test at t/g.t line 97.
#          got: 'comment'
#     expected: 'comment
# '

#   Failed test at t/g.t line 101.
#          got: 'one comment more'
#     expected: 'one comment more
# '
# Looks like you failed 3 tests of 33.
t/g.t ...................... 
Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/33 subtests 
t/h.t ...................... ok
t/lazy_loader.t ............ ok
t/make_helper.t ............ ok
t/module_versions.t ........ skipped: Test::ConsistentVersion required for checking module versions
t/options.t ................ ok
t/signal_emission_hooks.t .. ok
t/signal_marshal.t ......... ok
t/signal_query.t ........... ok
t/tied_definedness.t ....... ok
t/tied_flags.t ............. ok
t/tied_set_property.t ...... ok
t/variant.t ................ ok

Test Summary Report
-------------------
t/g.t                    (Wstat: 768 Tests: 33 Failed: 3)
  Failed tests:  18, 22, 24
  Non-zero exit status: 3
Files=33, Tests=1189,  4 wallclock secs ( 0.11 usr  0.02 sys +  1.43 cusr  0.16 csys =  1.72 CPU)
Result: FAIL
Failed 1/33 test programs. 3/1189 subtests failed.
make: *** [Makefile:1382: test_dynamic] Error 255

perl-glib:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
you should apply a patch from the upstream git

http://cgit.ponce.cc/slackbuilds/commit/?h=perl-glib

thanks for reporting!
 
1 members found this post helpful.
Old 03-23-2019, 12:01 PM   #1731
Paulo2
Member
 
Registered: Aug 2012
Distribution: Slackware64 -current (started with 13.37(32))
Posts: 445

Rep: Reputation: 146Reputation: 146
New compton 5.1 fails to build in a clean up-to-date VBox machine -current install.

The build log for compton:
Code:
Found compton-5.1.tar.gz in /var/cache/sbopkg.
Checking MD5SUM:
  MD5SUM check for compton-5.1.tar.gz ... OK
Building package for compton...
compton-5.1/
compton-5.1/.circleci/
compton-5.1/.circleci/config.yml
compton-5.1/.clang-format
compton-5.1/.editorconfig
compton-5.1/.github/
compton-5.1/.github/issue_template.md
compton-5.1/.gitignore
compton-5.1/CONTRIBUTORS
compton-5.1/COPYING
compton-5.1/Doxyfile
compton-5.1/LICENSE.spdx
compton-5.1/LICENSES/
compton-5.1/LICENSES/MIT
compton-5.1/LICENSES/MPL-2.0
compton-5.1/README.md
compton-5.1/README_orig.md
compton-5.1/bin/
compton-5.1/bin/compton-convgen.py
compton-5.1/bin/compton-trans
compton-5.1/compton-default-fshader-win.glsl
compton-5.1/compton-fake-transparency-fshader-win.glsl
compton-5.1/compton.desktop
compton-5.1/compton.sample.conf
compton-5.1/dbus-examples/
compton-5.1/dbus-examples/cdbus-driver.sh
compton-5.1/dbus-examples/inverter.sh
compton-5.1/desc.txt
compton-5.1/functions.sh
compton-5.1/make-release.sh
compton-5.1/man/
compton-5.1/man/compton-trans.1.asciidoc
compton-5.1/man/compton.1.asciidoc
compton-5.1/man/meson.build
compton-5.1/media/
compton-5.1/media/compton.svg
compton-5.1/media/icons/
compton-5.1/media/icons/48x48/
compton-5.1/media/icons/48x48/compton.png
compton-5.1/meson.build
compton-5.1/meson_options.txt
compton-5.1/src/
compton-5.1/src/backend/
compton-5.1/src/backend/backend.c
compton-5.1/src/backend/backend.h
compton-5.1/src/backend/backend_common.c
compton-5.1/src/backend/backend_common.h
compton-5.1/src/backend/gl/
compton-5.1/src/backend/gl/gl_common.c
compton-5.1/src/backend/gl/gl_common.h
compton-5.1/src/backend/gl/glx.c
compton-5.1/src/backend/meson.build
compton-5.1/src/backend/xrender.c
compton-5.1/src/c2.c
compton-5.1/src/c2.h
compton-5.1/src/common.h
compton-5.1/src/compiler.h
compton-5.1/src/compton.c
compton-5.1/src/compton.h
compton-5.1/src/compton.modulemap
compton-5.1/src/config.c
compton-5.1/src/config.h
compton-5.1/src/config_libconfig.c
compton-5.1/src/dbus.c
compton-5.1/src/dbus.h
compton-5.1/src/diagnostic.c
compton-5.1/src/diagnostic.h
compton-5.1/src/kernel.c
compton-5.1/src/kernel.h
compton-5.1/src/log.c
compton-5.1/src/log.h
compton-5.1/src/meson.build
compton-5.1/src/opengl.c
compton-5.1/src/opengl.h
compton-5.1/src/options.c
compton-5.1/src/options.h
compton-5.1/src/region.h
compton-5.1/src/render.c
compton-5.1/src/render.h
compton-5.1/src/string_utils.c
compton-5.1/src/string_utils.h
compton-5.1/src/types.h
compton-5.1/src/utils.c
compton-5.1/src/utils.h
compton-5.1/src/vsync.c
compton-5.1/src/vsync.h
compton-5.1/src/win.c
compton-5.1/src/win.h
compton-5.1/src/x.c
compton-5.1/src/x.h
compton-5.1/src/xrescheck.c
compton-5.1/src/xrescheck.h
compton-5.1/tests/
compton-5.1/tests/make-tests.sh
The Meson build system
Version: 0.50.0
Source dir: /tmp/SBo/compton-5.1
Build dir: /tmp/SBo/compton-5.1/build
Build type: native build
Project name: compton
Project version: 5.1
Appending CFLAGS from environment: '-O2 -fPIC'
Appending CFLAGS from environment: '-O2 -fPIC'
Native C compiler: ccache cc (gcc 8.3.0 "cc (GCC) 8.3.0")
Build machine cpu family: x86_64
Build machine cpu: x86_64
Program git found: YES (/usr/bin/git)
Compiler for C supports arguments -Wall: YES
Compiler for C supports arguments -Wextra: YES
Compiler for C supports arguments -Wno-unused-parameter -Wunused-parameter: YES
Compiler for C supports arguments -Wnonnull: YES
Compiler for C supports arguments -Wshadow: YES
Compiler for C supports arguments -Wimplicit-fallthrough: YES
Compiler for C supports arguments -Wno-unknown-warning-option -Wunknown-warning-option: NO
Library m found: YES

src/meson.build:1:0: ERROR: C library 'ev' not found

A full log can be found at /tmp/SBo/compton-5.1/build/meson-logs/meson-log.txt

compton:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?: n

+++++++++++++++++++++++++++++++++++++++++++
SUMMARY LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process:  Download, build, and install

libxdg-basedir:
  MD5SUM check for libxdg-basedir-1.2.0.tar.xz ... OK
  Building package libxdg-basedir-1.2.0-x86_64-1ponce.tgz ... OK
  Installing package libxdg-basedir-1.2.0-x86_64-1ponce.tgz ... OK

libconfig:
  MD5SUM check for libconfig-1.7.2.tar.gz ... OK
  Building package libconfig-1.7.2-x86_64-1ponce.tgz ... OK
  Installing package libconfig-1.7.2-x86_64-1ponce.tgz ... OK

compton:
  MD5SUM check for compton-5.1.tar.gz ... OK
  Error occurred with build.  Please check the log.

+++++++++++++++++++++++++++++++++++++++++++

###########################################
          Queue process complete!
###########################################
 
Old 03-23-2019, 12:48 PM   #1732
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Paulo2 View Post
Code:
src/meson.build:1:0: ERROR: C library 'ev' not found
could it be I forgot to add a dependency, libev?
 
Old 03-23-2019, 03:24 PM   #1733
Paulo2
Member
 
Registered: Aug 2012
Distribution: Slackware64 -current (started with 13.37(32))
Posts: 445

Rep: Reputation: 146Reputation: 146
Hi ponce, there is this warning in the libev README
Code:
Note: libev and libevent both have a usr/include/event.h 
header file. This could have lead to compile problems if both 
packages were installed at the same time, so it has been moved to
usr/include/libev/event.h. Add CPPFLAGS="-I/usr/include/libev" to
the SlackBuild if the software you're building over this needs the
libevent compatibility layer (lighttpd2 and i3 don't).
Is safe to install libev throught sbopkg without any option? eg 'sbopkg -i libev'
 
Old 03-23-2019, 05:00 PM   #1734
Paulo2
Member
 
Registered: Aug 2012
Distribution: Slackware64 -current (started with 13.37(32))
Posts: 445

Rep: Reputation: 146Reputation: 146
Quote:
Originally Posted by Paulo2 View Post
Is safe to install libev throught sbopkg without any option? eg 'sbopkg -i libev'
I tried it in my notebook (the 'test machine') and it worked,
compton builds ok after build and install libev.

@ponce Thanks for pointing the fix.
 
Old 03-23-2019, 05:57 PM   #1735
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,100

Rep: Reputation: 328Reputation: 328Reputation: 328Reputation: 328
Hi, i make a little see in archlinux compton , libev is dependency , but see how to package libev archlinux, i read this note in the SLKBUILD

Quote:
# fix conflict with libevent
rm ${pkgdir}/usr/include/event.h
Then , libev is dependency , but , need remove event.h to no overlap libevent event.h file.
 
Old Yesterday, 01:16 AM   #1736
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Original Poster
Rep: Reputation: Disabled
when I spotted the overlapping of /usr/include/event.h, like explained in libev's README, I opted to move it away instead of remove it, just in case: in /usr/include/libev shouldn't get in the way of anything that needs libevent and uses its /usr/include/event.h, but should be there if needed.

Quote:
Originally Posted by Paulo2 View Post
Is safe to install libev throught sbopkg without any option? eg 'sbopkg -i libev'
yes, it is, there's no overlap in the two packages now, I am afraid I hadn't been clear enough in the README...

Last edited by ponce; Yesterday at 01:27 AM.
 
Old Yesterday, 07:53 AM   #1737
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,115

Rep: Reputation: 157Reputation: 157
Having a problem building Blender. Chris Willing identified my original problem with python 3.7 so he applied a patch. However, the build now fails with this:
Code:
[  6%] Linking CXX static library ../../lib/libbf_intern_iksolver.a
[  6%] Built target bf_intern_iksolver
Scanning dependencies of target bf_intern_itasc
[  6%] Building CXX object intern/itasc/CMakeFiles/bf_intern_itasc.dir/Armature.cpp.o
[  6%] Building CXX object intern/audaspace/CMakeFiles/bf_intern_audaspace.dir/intern/AUD_SequencerFactory.cpp.o
[  6%] Building CXX object intern/audaspace/CMakeFiles/bf_intern_audaspace.dir/intern/AUD_SequencerHandle.cpp.o
[  6%] Building CXX object intern/elbeem/CMakeFiles/bf_intern_elbeem.dir/intern/parametrizer.cpp.o
In file included from /usr/include/c++/8.3.0/map:61,
                 from /tmp/SBo/blender-2.79b/intern/itasc/kdl/tree.hpp:29,
                 from /tmp/SBo/blender-2.79b/intern/itasc/eigen_types.hpp:13,
                 from /tmp/SBo/blender-2.79b/intern/itasc/ControlledObject.hpp:12,
                 from /tmp/SBo/blender-2.79b/intern/itasc/Armature.hpp:11,
                 from /tmp/SBo/blender-2.79b/intern/itasc/Armature.cpp:11:
/usr/include/c++/8.3.0/bits/stl_map.h: In instantiation of ‘class std::map<std::__cxx11::basic_string<char>, KDL::TreeElement, std::less<std::__cxx11::basic_string<char> >, Eigen::aligned_allocator<std::pair<std::__cxx11::basic_string<char>, KDL::TreeElement> > >’:
/tmp/SBo/blender-2.79b/intern/itasc/kdl/tree.hpp:47:19:   required from here
/usr/include/c++/8.3.0/bits/stl_map.h:122:21: error: static assertion failed: std::map must have the same value_type as its allocator
       static_assert(is_same<typename _Alloc::value_type, value_type>::value,
                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
make[2]: *** [intern/itasc/CMakeFiles/bf_intern_itasc.dir/build.make:63: intern/itasc/CMakeFiles/bf_intern_itasc.dir/Armature.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1023: intern/itasc/CMakeFiles/bf_intern_itasc.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Chris seems to think it's due to the new compiler. Any thoughts?

Here's my original thread and his updated patch.
 
Old Yesterday, 02:44 PM   #1738
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,115

Rep: Reputation: 157Reputation: 157
vlc-3.0.6 from SBo does not compile. Getting this error:
Code:
access/sftp.c: In function ‘Open’:
access/sftp.c:310:14: error: ‘LIBSSH2_HOSTKEY_TYPE_ECDSA_256’ undeclared (first use in this function); did you mean ‘LIBSSH2_HOSTKEY_TYPE_DSS’?
         case LIBSSH2_HOSTKEY_TYPE_ECDSA_256:
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
              LIBSSH2_HOSTKEY_TYPE_DSS
access/sftp.c:310:14: note: each undeclared identifier is reported only once for each function it appears in
access/sftp.c:311:42: error: ‘LIBSSH2_KNOWNHOST_KEY_ECDSA_256’ undeclared (first use in this function); did you mean ‘LIBSSH2_KNOWNHOST_KEY_RSA1’?
             knownhost_fingerprint_algo = LIBSSH2_KNOWNHOST_KEY_ECDSA_256;
                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                          LIBSSH2_KNOWNHOST_KEY_RSA1
access/sftp.c:314:14: error: ‘LIBSSH2_HOSTKEY_TYPE_ECDSA_384’ undeclared (first use in this function); did you mean ‘LIBSSH2_HOSTKEY_TYPE_DSS’?
         case LIBSSH2_HOSTKEY_TYPE_ECDSA_384:
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
              LIBSSH2_HOSTKEY_TYPE_DSS
access/sftp.c:315:42: error: ‘LIBSSH2_KNOWNHOST_KEY_ECDSA_384’ undeclared (first use in this function); did you mean ‘LIBSSH2_KNOWNHOST_KEY_RSA1’?
             knownhost_fingerprint_algo = LIBSSH2_KNOWNHOST_KEY_ECDSA_384;
                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                          LIBSSH2_KNOWNHOST_KEY_RSA1
access/sftp.c:318:14: error: ‘LIBSSH2_HOSTKEY_TYPE_ECDSA_521’ undeclared (first use in this function); did you mean ‘LIBSSH2_HOSTKEY_TYPE_DSS’?
         case LIBSSH2_HOSTKEY_TYPE_ECDSA_521:
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
              LIBSSH2_HOSTKEY_TYPE_DSS
access/sftp.c:319:42: error: ‘LIBSSH2_KNOWNHOST_KEY_ECDSA_521’ undeclared (first use in this function); did you mean ‘LIBSSH2_KNOWNHOST_KEY_RSA1’?
             knownhost_fingerprint_algo = LIBSSH2_KNOWNHOST_KEY_ECDSA_521;
                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                          LIBSSH2_KNOWNHOST_KEY_RSA1
make[4]: *** [Makefile:22925: access/libsftp_plugin_la-sftp.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
Adding:
Code:
--disable-sftp \
to the SlackBuild got it to build.
 
Old Yesterday, 03:33 PM   #1739
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,663

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by stormtracknole View Post
Having a problem building Blender. Chris Willing identified my original problem with python 3.7 so he applied a patch. However, the build now fails with this:
Code:
[  6%] Linking CXX static library ../../lib/libbf_intern_iksolver.a
[  6%] Built target bf_intern_iksolver
Scanning dependencies of target bf_intern_itasc
[  6%] Building CXX object intern/itasc/CMakeFiles/bf_intern_itasc.dir/Armature.cpp.o
[  6%] Building CXX object intern/audaspace/CMakeFiles/bf_intern_audaspace.dir/intern/AUD_SequencerFactory.cpp.o
[  6%] Building CXX object intern/audaspace/CMakeFiles/bf_intern_audaspace.dir/intern/AUD_SequencerHandle.cpp.o
[  6%] Building CXX object intern/elbeem/CMakeFiles/bf_intern_elbeem.dir/intern/parametrizer.cpp.o
In file included from /usr/include/c++/8.3.0/map:61,
                 from /tmp/SBo/blender-2.79b/intern/itasc/kdl/tree.hpp:29,
                 from /tmp/SBo/blender-2.79b/intern/itasc/eigen_types.hpp:13,
                 from /tmp/SBo/blender-2.79b/intern/itasc/ControlledObject.hpp:12,
                 from /tmp/SBo/blender-2.79b/intern/itasc/Armature.hpp:11,
                 from /tmp/SBo/blender-2.79b/intern/itasc/Armature.cpp:11:
/usr/include/c++/8.3.0/bits/stl_map.h: In instantiation of ‘class std::map<std::__cxx11::basic_string<char>, KDL::TreeElement, std::less<std::__cxx11::basic_string<char> >, Eigen::aligned_allocator<std::pair<std::__cxx11::basic_string<char>, KDL::TreeElement> > >’:
/tmp/SBo/blender-2.79b/intern/itasc/kdl/tree.hpp:47:19:   required from here
/usr/include/c++/8.3.0/bits/stl_map.h:122:21: error: static assertion failed: std::map must have the same value_type as its allocator
       static_assert(is_same<typename _Alloc::value_type, value_type>::value,
                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
make[2]: *** [intern/itasc/CMakeFiles/bf_intern_itasc.dir/build.make:63: intern/itasc/CMakeFiles/bf_intern_itasc.dir/Armature.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1023: intern/itasc/CMakeFiles/bf_intern_itasc.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Chris seems to think it's due to the new compiler. Any thoughts?

Here's my original thread and his updated patch.
I'm not sure what's happening there, I was not able to reproduce that error on my installation of slackware64-current and Blender built fine (with or without this patch applied)...

Last edited by ponce; Yesterday at 03:35 PM.
 
Old Yesterday, 04:05 PM   #1740
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,115

Rep: Reputation: 157Reputation: 157
Quote:
Originally Posted by ponce View Post
I'm not sure what's happening there, I was not able to reproduce that error on my installation of slackware64-current and Blender built fine (with or without this patch applied)...
Without the patch, it builds fine. However, start the application and notice that none of the menu options on the top and on the side show up. If that doesn't happen to you, let me know.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration